Scala Reflection Library2.13.0 < Back


# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package api

  EXPERIMENTAL

  EXPERIMENTAL

  The Scala Reflection API (located in scala-reflect.jar).

  In Scala 2.10.0, the Scala Reflection API and its implementation have an "experimental" status. This means that the API and the docs are not complete and can be changed in binary- and source-incompatible manner in 2.10.1. This also means that the implementation has some known issues.

  The following types are the backbone of the Scala Reflection API, and serve as a good starting point for information about Scala Reflection:

  - scala.reflect.api.Symbols
  - scala.reflect.api.Types
  - scala.reflect.api.Mirrors
  - scala.reflect.api.Universe

  For more information about Scala Reflection, see the Reflection Guide

  Definition Classes
    reflect
-  trait StandardDefinitions extends AnyRef

  EXPERIMENTAL

  EXPERIMENTAL

  All Scala standard symbols and types.

  These standard definitions can accessed to using `definitions`. They're typically imported with a wildcard import, `import definitions._`, and are listed in scala.reflect.api.StandardDefinitions#DefinitionsApi.

  Definition Classes
    api
-  trait DefinitionsApi extends Universe.StandardTypes

  Defines standard symbols (and types via its base trait).

  Defines standard symbols (and types via its base trait).

  Definition Classes
    StandardDefinitions
- VarArityClassApi

c

scala.reflect.api.StandardDefinitions.DefinitionsApi

# VarArityClassApi

###

#### abstract class VarArityClassApi extends (Int) => Universe.Symbol

Function-like api that lets you access symbol of the definition with given arity and also look through all known symbols via `seq`.

Source
  StandardDefinitions.scala

Linear Supertypes
(Int) => Universe.Symbol, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VarArityClassApi
2. Function1
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new VarArityClassApi()

### Abstract Value Members

1.  abstract def apply(v1: Int): Universe.Symbol
   Definition Classes
     Function1
2.  abstract def seq: Seq[Universe.ClassSymbol]

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from VarArityClassApi toany2stringadd[VarArityClassApi] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (VarArityClassApi, B)
   Implicit
     This member is added by an implicit conversion from VarArityClassApi toArrowAssoc[VarArityClassApi] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def andThen[A](g: (Universe.Symbol) => A): (Int) => A
   Definition Classes
     Function1
   Annotations
     @unspecialized()
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def compose[A](g: (A) => Int): (A) => Universe.Symbol
   Definition Classes
     Function1
   Annotations
     @unspecialized()
10.  def ensuring(cond: (VarArityClassApi) => Boolean, msg: => Any): VarArityClassApi
    Implicit
      This member is added by an implicit conversion from VarArityClassApi toEnsuring[VarArityClassApi] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (VarArityClassApi) => Boolean): VarArityClassApi
    Implicit
      This member is added by an implicit conversion from VarArityClassApi toEnsuring[VarArityClassApi] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): VarArityClassApi
    Implicit
      This member is added by an implicit conversion from VarArityClassApi toEnsuring[VarArityClassApi] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): VarArityClassApi
    Implicit
      This member is added by an implicit conversion from VarArityClassApi toEnsuring[VarArityClassApi] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from VarArityClassApi toStringFormat[VarArityClassApi] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (VarArityClassApi, B)
   Implicit
     This member is added by an implicit conversion from VarArityClassApi toArrowAssoc[VarArityClassApi] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from (Int) => Universe.Symbol

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromVarArityClassApi to any2stringadd[VarArityClassApi]

### Inherited by implicit conversion StringFormat fromVarArityClassApi to StringFormat[VarArityClassApi]

### Inherited by implicit conversion Ensuring fromVarArityClassApi to Ensuring[VarArityClassApi]

### Inherited by implicit conversion ArrowAssoc fromVarArityClassApi to ArrowAssoc[VarArityClassApi]

### Ungrouped